/******************************************************************************
 NETWORK.H - NETUSE Client-side Network Interface header file

 Lee Liming and Michael Neil, The Computer Aided Engineering Network
 The University of Michigan

 Copyright (C) 1990, 1991, 1992 by the Regents of the University of Michigan.

 User agrees to reproduce said copyright notice on all copies of the software
 made by the recipient.  

 All Rights Reserved. Permission is hereby granted for the recipient to make
 copies and use this software for its own internal purposes only. Recipient of
 this software may re-distribute this software outside of their own
 institution. Permission to market this software commercially, to include this
 product as part of a commercial product, or to make a derivative work for
 commercial purposes, is explicitly prohibited.  All other uses are also
 prohibited unless authorized in writing by the Regents of the University of
 Michigan.

 This software is offered without warranty. The Regents of the University of
 Michigan disclaim all warranties, express or implied, including but not
 limited to the implied warranties of merchantability and fitness for any
 particular purpose. In no event shall the Regents of the University of
 Michigan be liable for loss or damage of any kind, including but not limited
 to incidental, indirect, consequential, or special damages. 
******************************************************************************/

#ifndef _NETWORK_INCLUDED_
#define _NETWORK_INCLUDED_


#include "protocol.h"


#ifdef __STDC__

int packetSend(USEREC *msg);
int packetReceive(USEREC *msg);
void netSetup(void);
void netShutdown(void);

#else

int packetSend();
int packetReceive();
void netSetup();
void netShutdown();

#endif

#endif   /* _NETWORK_INCLUDED_ */
